Subject: bug#37789: guix pull: error: You found a bug: the program

From: George Clemmer <[email-masked]>
Date: Tue, 09 Jun 2020 19:12:48 -0400

Ludovic Courtès <[email-masked]> writes:

> Uh.  (You purposefully turned off substitutes, right?)
>
> I’m very surprised this can happen.  Janneke, does that ring a bell?

Hi Ludo’,

I recently re-installed Guix System from USB and abandoned my config
that turned off substitutes. And of course, guix pull works great ;-)

I assume that "guix pull w/substitutes off" is not recommended or likely
to be used by others. If so maybe this bug can be cleared?

If, OTOH, you want to support "guix pull w/substitutes off" I am willing
to turn substitutes off again to see what happens ;-)

WDYT? - George